package com.mycompany.my.alloy.portlet;

import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;
import javax.faces.event.AjaxBehaviorEvent;

/**
 * The {@link ViewBackingBean}
 * 
 * @version 1.0
 */
@RequestScoped
@ManagedBean
public class ViewBackingBean
implements Serializable {
	/** The serial UID. */
	private static final long serialVersionUID = 1L;
	
	/** The injected {@link ViewModelBean}. */
	@ManagedProperty(name = "viewModelBean", value = "#{viewModelBean}")
	private transient ViewModelBean _viewModelBean;
	
	/**
	 * Sets the {@link ViewModelBean}.
	 * 
	 * @param value The {@link ViewModelBean} to set.
	 */
	public void setViewModelBean(final ViewModelBean value) {
		_viewModelBean = value;
	}
	
	@SuppressWarnings("unused")
	public void enableRenderedOnClickListener(final AjaxBehaviorEvent event) {
		_viewModelBean.setRendered(true);
	}
}